YESTERDAY(1)

NAME
yesterday - print file names from the dump

SYNOPSIS
yesterday [ -cCd ] [ -n daysago ] [ -date ] files ...

DESCRIPTION
Yesterday prints the names of the files from the most recent dump. Since dumps are done early in the morning, yesterday's files are really in today's dump. For example, if today is February 11, 2003,

        yesterday /home/am3/rsc/.profile

prints

        /dump/am/2003/0211/home/am3/rsc/.profile

In fact, the implementation is to select the most recent dump in the current year, so the dump selected may not be from today.

By default, yesterday prints the names of the dump files corresponding to the named files. The first set of options changes this behavior.

-c  Copy the dump files over the named files.

-C  Copy the dump files over the named files only when they differ.

-d  Run diff to compare the dump files with the named files.

The date option selects other day's dumps, with a format of 1, 2, 4, 6, or 8 digits of the form d, dd, mmdd, yymmdd, or yyyymmdd.

The -n option selects the dump daysago prior to the current day.

Yesterday does not guarantee that the string it prints represents an existing file.

EXAMPLES

See what's changed in the last week in your profile:

        yesterday -d -n 7 ~/.profile

Restore your profile from yesterday:

        yesterday -c ~/.profile

FILES
/dump by convention, root of the dump file system

SOURCE
/bin/yesterday

SEE ALSO
diff(1), hist(1), vbackup(8)

BUGS
It's hard to use this command without singing.